## coq-hammer 1.3.2%2B8.20

=== debian/changelog ===
coq-hammer (1.3.2+8.20-1build3) plucky; urgency=medium

  * No-change rebuild for coq ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2025 21:04:23 +0100

coq-hammer (1.3.2+8.20-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 00:26:58 +0100

coq-hammer (1.3.2+8.20-1build1) plucky; urgency=medium

  * Rebuild against latest ocaml

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Feb 2025 20:14:47 -0500

coq-hammer (1.3.2+8.20-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:44:58 +0100

coq-hammer (1.3.2+8.19-2) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 17:31:32 +0200

coq-hammer (1.3.2+8.19-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 10 Apr 2024 08:56:56 +0200

coq-hammer (1.3.2+8.18-1) unstable; urgency=medium

  * Fix d/rules clean target (Closes: #1044750).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 15:25:22 +0100

coq-hammer (1.3.2+8.17-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.
  * Add lintian overrides for false positive.
  * Add missing shlibs:Depends.
  * Bump Coq depend requirement.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Jun 2023 19:30:10 +0200

coq-hammer (1.3.2+8.16-2) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 07:50:31 +0100

coq-hammer (1.3.2+8.16-1) unstable; urgency=medium

  * Adapt d/watch to new upstream scheme.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 05 Sep 2022 16:17:43 +0200

coq-hammer (1.3.2+8.15-1) unstable; urgency=medium

  * Initial release. (Closes: #1014973)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 15 Jul 2022 16:31:51 +0200

## coq-hammer 1.3.2+8.15

=== Makefile ===
default: all

all: Makefile.coq Makefile.coq.local
	$(MAKE) -f Makefile.coq

tactics: Makefile.coq.tactics
	$(MAKE) -f Makefile.coq.tactics

plugin: Makefile.coq.plugin Makefile.coq.plugin.local
	$(MAKE) -f Makefile.coq.plugin

mathcomp: Makefile.coq.mathcomp
	$(MAKE) -f Makefile.coq.mathcomp

install: Makefile.coq Makefile.coq.local
	$(MAKE) -f Makefile.coq install

install-tactics: Makefile.coq.tactics
	$(MAKE) -f Makefile.coq.tactics install

install-plugin: Makefile.coq.plugin Makefile.coq.plugin.local
	$(MAKE) -f Makefile.coq.plugin install

install-mathcomp: Makefile.coq.mathcomp
	$(MAKE) -f Makefile.coq.mathcomp install

uninstall: Makefile.coq Makefile.coq.local
	$(MAKE) -f Makefile.coq uninstall

uninstall-tactics: Makefile.coq.tactics
	$(MAKE) -f Makefile.coq.tactics uninstall

uninstall-plugin: Makefile.coq.plugin Makefile.coq.plugin.local
	$(MAKE) -f Makefile.coq.plugin uninstall

uninstall-mathcomp: Makefile.coq.mathcomp
	$(MAKE) -f Makefile.coq.mathcomp uninstall

Makefile.coq: _CoqProject
	coq_makefile -f _CoqProject -o Makefile.coq

Makefile.coq.plugin: _CoqProject.plugin
	coq_makefile -f _CoqProject.plugin -o Makefile.coq.plugin

Makefile.coq.tactics: _CoqProject.tactics
	coq_makefile -f _CoqProject.tactics -o Makefile.coq.tactics

Makefile.coq.mathcomp: _CoqProject.mathcomp
	coq_makefile -f _CoqProject.mathcomp -o Makefile.coq.mathcomp

tests: tests-plugin tests-tactics

tests-plugin:
	$(MAKE) -B -C tests/plugin

tests-tactics:
	$(MAKE) -B -C tests/tactics

quicktest: test-plugin test-tactics

test-plugin:
	$(MAKE) -B -C tests/plugin plugin_test.vo

test-tactics:
	$(MAKE) -B -C tests/tactics tactics_test.vo

clean: Makefile.coq Makefile.coq.local Makefile.coq.mathcomp
	$(MAKE) -f Makefile.coq cleanall
	-$(MAKE) -f Makefile.coq.mathcomp cleanall
	rm -f Makefile.coq Makefile.coq.conf Makefile.coq.tactics Makefile.coq.tactics.conf Makefile.coq.plugin Makefile.coq.plugin.conf Makefile.coq.mathcomp Makefile.coq.mathcomp.conf

.PHONY: default all tactics plugin mathcomp install install-tactics install-plugin install-mathcomp uninstall uninstall-tactics uninstall-plugin tests tests-plugin tests-tactics quicktest test-plugin test-tactics clean

=== debian/control ===
Source: coq-hammer
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               libcoq-ocaml-dev,
               libcoq-stdlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-hammer
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-hammer.git
Homepage: https://github.com/lukaszcz/coqhammer

Package: libcoq-hammer-tactics
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: automated reasoning tool for Coq (tactics)
 Hammer is a tool to help in the search of a proof
 in Coq. It tries to find applicable lemmas and
 combine them into a effective proof.
 .
 Coq is a proof assistant for higher-order logic.
 .
 This package provides the Coq tactic.

Package: libcoq-hammer
Architecture: any
Depends: libcoq-hammer-tactics (= ${binary:Version}),
         ${coq:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${coq:Provides}
Description: automated reasoning tool for Coq (plugin)
 Hammer is a tool to help in the search of a proof
 in Coq. It tries to find applicable lemmas and
 combine them into a effective proof.
 .
 Coq is a proof assistant for higher-order logic.
 .
 This package provides the Coq plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with coq

override_dh_auto_clean:
	# doesn't work

override_dh_auto_make:
	make

override_dh_auto_install:
	make install-tactics DESTDIR=debian/libcoq-hammer-tactics
	make install-plugin DESTDIR=debian/libcoq-hammer BINDIR=/usr/libexec/coq-hammer/

=== debian/watch ===
version=4
opts=uversionmangle=s/-coq/+/, \
https://github.com/lukaszcz/coqhammer/tags .*/v?([\d\.]+-coq[\d\.]+).tar.gz

## coq-hammer 1.3.2+8.16

=== Makefile ===

BINDIR ?= $(if $(COQBIN),$(COQBIN),`coqc -where | xargs dirname | xargs dirname`/bin/)

default: all

all: tactics plugin

tactics: Makefile.coq.tactics
	$(MAKE) -f Makefile.coq.tactics

plugin: install-tactics Makefile.coq.plugin Makefile.coq.plugin.local
	-rm -f META
	$(MAKE) -f Makefile.coq.plugin

mathcomp: Makefile.coq.mathcomp
	$(MAKE) -f Makefile.coq.mathcomp

install: install-plugin

install-tactics: tactics
	$(MAKE) -f Makefile.coq.tactics install

install-plugin: plugin
	$(MAKE) -f Makefile.coq.plugin install

install-mathcomp: Makefile.coq.mathcomp
	$(MAKE) -f Makefile.coq.mathcomp install

uninstall: uninstall-tactics uninstall-plugin

uninstall-tactics: Makefile.coq.tactics
	$(MAKE) -f Makefile.coq.tactics uninstall

uninstall-plugin: Makefile.coq.plugin Makefile.coq.plugin.local
	$(MAKE) -f Makefile.coq.plugin uninstall

uninstall-mathcomp: Makefile.coq.mathcomp
	$(MAKE) -f Makefile.coq.mathcomp uninstall

Makefile.coq.plugin: _CoqProject.plugin
	coq_makefile -f _CoqProject.plugin -o Makefile.coq.plugin

Makefile.coq.tactics: _CoqProject.tactics
	coq_makefile -f _CoqProject.tactics -o Makefile.coq.tactics

Makefile.coq.mathcomp: _CoqProject.mathcomp
	coq_makefile -f _CoqProject.mathcomp -o Makefile.coq.mathcomp

tests: tests-plugin tests-tactics

tests-plugin:
	$(MAKE) -B -C tests/plugin

tests-tactics:
	$(MAKE) -B -C tests/tactics

quicktest: test-plugin test-tactics

test-plugin:
	$(MAKE) -B -C tests/plugin plugin_test.vo

test-tactics:
	$(MAKE) -B -C tests/tactics tactics_test.vo

clean: Makefile.coq.tactics Makefile.coq.plugin Makefile.coq.plugin.local Makefile.coq.mathcomp
	$(MAKE) -f Makefile.coq.tactics cleanall
	-$(MAKE) -f Makefile.coq.plugin cleanall
	-$(MAKE) -f Makefile.coq.mathcomp cleanall
	-rm -rf _build
	rm -f Makefile.coq.tactics Makefile.coq.tactics.conf Makefile.coq.plugin Makefile.coq.plugin.conf Makefile.coq.mathcomp Makefile.coq.mathcomp.conf META

dune: dune-tactics dune-plugin predict htimeout

dune-tactics:
	dune build -p coq-hammer-tactics

dune-plugin: dune-install-tactics predict htimeout
	dune build -p coq-hammer

dune-install: dune-install-tactics dune-install-plugin

dune-install-tactics: dune-tactics
	dune install coq-hammer-tactics

dune-install-plugin: dune-plugin install-extra
	dune install coq-hammer

dune-uninstall:
	dune build -p coq-hammer
	dune uninstall coq-hammer
	dune build -p coq-hammer-tactics
	dune uninstall coq-hammer-tactics
	-rm -f $(DESTDIR)$(BINDIR)predict
	-rm -f $(DESTDIR)$(BINDIR)htimeout

dune-uninstall-tactics:
	dune build -p coq-hammer-tactics
	dune uninstall coq-hammer-tactics

dune-uninstall-plugin:
	dune build -p coq-hammer
	dune uninstall coq-hammer
	-rm -f $(DESTDIR)$(BINDIR)predict
	-rm -f $(DESTDIR)$(BINDIR)htimeout

predict: src/predict/main.cpp src/predict/predictor.cpp src/predict/format.cpp src/predict/knn.cpp src/predict/nbayes.cpp src/predict/rforest.cpp src/predict/tfidf.cpp src/predict/dtree.cpp
	c++ -std=c++11 -DCOQ_MODE -O2 -Wall src/predict/main.cpp -o predict

htimeout: src/htimeout/htimeout.c
	cc -O2 -Wall src/htimeout/htimeout.c -o htimeout

install-extra: predict htimeout
	install -d $(DESTDIR)$(BINDIR)
	install -m 0755 predict $(DESTDIR)$(BINDIR)predict
	install -m 0755 htimeout $(DESTDIR)$(BINDIR)htimeout

dune-clean:
	dune clean
	-rm -f predict htimeout
	$(MAKE) -C eval clean
	$(MAKE) -C tests/plugin clean
	$(MAKE) -C tests/tactics clean

.PHONY: default all tactics plugin mathcomp install install-tactics install-plugin install-mathcomp uninstall uninstall-tactics uninstall-plugin tests tests-plugin tests-tactics quicktest test-plugin test-tactics clean dune dune-tactics dune-plugin dune-install dune-install-tactics dune-install-plugin dune-clean install-extra dune-uninstall dune-uninstall-tactics dune-uninstall-plugin

=== eval/Makefile ===
# input files
FFILES=$(shell find problems/ -name "*.v" | sort -R)
OFILES=$(patsubst problems/%.v,problems/%.vo,$(FFILES))
COQC=coqc $(shell find problems/ -name "*.conf" -exec cat {} + | tr "\n" " ")

all:
	@echo "See README on how to invoke make."

init: $(OFILES)
problems/%.vo: problems/%.v
	@mkdir -p logs/init
	$(COQC) "$<" > logs/init/`basename "$@" .vo`.log 2>&1

check: $(patsubst problems/%.v,logs/check/%.log,$(FFILES))
logs/check/%.log: problems/%.v
	@mkdir -p `dirname "$@"`
	$(COQC) "$<" > "$@" 2>&1

atp: $(patsubst problems/%.v,logs/atp/%.log,$(FFILES))
logs/atp/%.log: problems/%.v
	@mkdir -p `dirname "$@"`
	$(COQC) "$<" > "$@" 2>&1

reconstr: $(patsubst problems/%.v,logs/reconstr/%.log,$(FFILES))
logs/reconstr/%.log: problems/%.v
	@mkdir -p `dirname "$@"`
	$(COQC) "$<" > "$@" 2>&1

prove: $(patsubst problems/%.v,logs/prove/%.log,$(FFILES))
logs/prove/%.log: problems/%.v
	@mkdir -p `dirname "$@"`
	$(COQC) "$<" > "$@" 2>&1

clean-vo:
	rm -f $(OFILES)

clean: clean-vo
	rm -rf logs coqhammer.opt check.log gen_atp.log
	$(MAKE) -C tools clean

clean-problems: clean-vo
	rm -f $(patsubst problems/%.v,problems/.%.aux,$(FFILES))
	rm -f $(patsubst problems/%.v,problems/%.v.bak,$(FFILES))
	rm -f $(patsubst problems/%.v,problems/%.glob,$(FFILES))

.PHONY: clean clean-vo clean-problems check atp reconstr init all

=== debian/control ===
Source: coq-hammer
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               libcoq-core-ocaml-dev,
               libcoq-stdlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-hammer
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-hammer.git
Homepage: https://github.com/lukaszcz/coqhammer

Package: libcoq-hammer
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: automated reasoning tool for Coq
 Hammer is a tool to help in the search of a proof
 in Coq. It tries to find applicable lemmas and
 combine them into a effective proof.
 .
 Coq is a proof assistant for higher-order logic.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

export DESTDIR=debian/tmp
export OCAMLPATH=debian/tmp/usr/lib/ocaml
export COQPATH=debian/tmp/usr/lib/ocaml/coq/user-contrib

%:
	dh $@ --with coq

override_dh_auto_clean:
	# doesn't work

override_dh_auto_make:
	make

override_dh_auto_install:
	make install

## coq-hammer 1.3.2+8.17

=== Makefile ===
--- 
+++ 
@@ -3,19 +3,22 @@
 
 default: all
 
-all: tactics plugin
+all:
+	$(MAKE) tactics
+	$(MAKE) install-tactics
+	$(MAKE) plugin
 
 tactics: Makefile.coq.tactics
 	$(MAKE) -f Makefile.coq.tactics
 
-plugin: install-tactics Makefile.coq.plugin Makefile.coq.plugin.local
+plugin: Makefile.coq.plugin Makefile.coq.plugin.local
 	-rm -f META
 	$(MAKE) -f Makefile.coq.plugin
 
 mathcomp: Makefile.coq.mathcomp
 	$(MAKE) -f Makefile.coq.mathcomp
 
-install: install-plugin
+install: install-tactics install-plugin
 
 install-tactics: tactics
 	$(MAKE) -f Makefile.coq.tactics install

=== debian/changelog ===
coq-hammer (1.3.2+8.17-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Nov 2023 17:03:34 +0100

coq-hammer (1.3.2+8.17-1build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jul 2023 07:10:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: coq,
+Build-Depends: coq (>= 8.17),
                debhelper-compat (= 13),
                dh-coq,
                dh-ocaml,
@@ -17,7 +17,7 @@
 
 Package: libcoq-hammer
 Architecture: any
-Depends: ${coq:Depends}, ${misc:Depends}
+Depends: ${coq:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Provides: ${coq:Provides}
 Description: automated reasoning tool for Coq
  Hammer is a tool to help in the search of a proof

## coq-hammer 1.3.2+8.18

=== eval/atp/Makefile ===
#
# ATP evaluation
#
# See README for details.
#

# input files
FFILES=$(shell find i/f/ -type f | sort -R)

# timeout (in seconds)
TIM=30

all: eprover vampire z3 cvc4

eprover: $(patsubst i/f/%,o/eprover/%,$(FFILES))
o/eprover/%: i/f/%
	@mkdir -p `dirname "$@"`
	@eprover -s --cpu-limit=$(TIM) --auto-schedule -R --print-statistics -p --tstp-format "$<"  | grep "file[(]'\|# SZS" > "$@"

vampire: $(patsubst i/f/%,o/vampire/%,$(FFILES))
o/vampire/%: i/f/%
	@mkdir -p `dirname "$@"`
	@htimeout $(TIM) vampire --mode casc -t $(TIM) --proof tptp --output_axiom_names on "$<" | grep "file[(]'\|% SZS" > "$@"

z3: $(patsubst i/f/%,o/z3/%,$(FFILES))
o/z3/%: i/f/%
	@mkdir -p `dirname "$@"`
	@htimeout $(TIM) z3_tptp -c -t:$(TIM) "-file:$<" > "$@"

cvc4: $(patsubst i/f/%,o/cvc4/%,$(FFILES))
o/cvc4/%: i/f/%
	@mkdir -p `dirname "$@"`
	@htimeout $(TIM) cvc4 --tlimit $(TIM) --dump-unsat-cores-full "$<" > "$@"

=== tests/plugin/Makefile ===
COQC=coqc

all: plugin_test.vo basic.vo bugs.vo hashing.vo arith.vo zarith.vo lists.vo misc.vo

plugin_test.vo: plugin_test.v
	$(COQC) plugin_test.v

basic.vo: basic.v
	$(COQC) basic.v

bugs.vo: bugs.v
	$(COQC) bugs.v

hashing.vo: hashing.v
	$(COQC) hashing.v

arith.vo: arith.v
	$(COQC) arith.v

zarith.vo: zarith.v
	$(COQC) zarith.v

lists.vo: lists.v
	$(COQC) lists.v

misc.vo: misc.v
	$(COQC) misc.v

clean:
	-rm -f *.vo *.glob .*.aux

.PHONY: all clean

=== debian/changelog ===
coq-hammer (1.3.2+8.18-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:14:13 +0200

coq-hammer (1.3.2+8.18-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:54:00 +0000

coq-hammer (1.3.2+8.18-1build1) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:13:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: coq-hammer
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	dh $@ --with coq
 
 override_dh_auto_clean:
-	# doesn't work
+	make clean
 
 override_dh_auto_make:
 	make

=== debian/watch ===
version=4
https://github.com/lukaszcz/coqhammer/tags .*/v?([\d\.]+\+[\d\.]+).tar.gz

## coq-hammer 1.3.2+8.19

=== debian/changelog ===
coq-hammer (1.3.2+8.19-2build3) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2024 16:35:12 +0200

coq-hammer (1.3.2+8.19-2build2) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2024 00:44:37 +0200

coq-hammer (1.3.2+8.19-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Aug 2024 08:38:08 +0200

## coq-hammer 1.3.2+8.20

=== Makefile ===
--- 
+++ 
@@ -72,54 +72,33 @@
 	-rm -rf _build
 	rm -f Makefile.coq.tactics Makefile.coq.tactics.conf Makefile.coq.plugin Makefile.coq.plugin.conf Makefile.coq.mathcomp Makefile.coq.mathcomp.conf META
 
-dune: dune-tactics dune-plugin predict htimeout
+dune: dune-tactics dune-plugin
 
 dune-tactics:
 	dune build -p coq-hammer-tactics
 
-dune-plugin: dune-install-tactics predict htimeout
-	dune build -p coq-hammer
+dune-plugin:
+	dune build -p coq-hammer-tactics,coq-hammer
 
 dune-install: dune-install-tactics dune-install-plugin
 
 dune-install-tactics: dune-tactics
 	dune install coq-hammer-tactics
 
-dune-install-plugin: dune-plugin install-extra
+dune-install-plugin: dune-plugin
 	dune install coq-hammer
 
 dune-uninstall:
-	dune build -p coq-hammer
-	dune uninstall coq-hammer
-	dune build -p coq-hammer-tactics
-	dune uninstall coq-hammer-tactics
-	-rm -f $(DESTDIR)$(BINDIR)predict
-	-rm -f $(DESTDIR)$(BINDIR)htimeout
+	dune uninstall coq-hammer coq-hammer-tactics
 
 dune-uninstall-tactics:
-	dune build -p coq-hammer-tactics
 	dune uninstall coq-hammer-tactics
 
 dune-uninstall-plugin:
-	dune build -p coq-hammer
 	dune uninstall coq-hammer
-	-rm -f $(DESTDIR)$(BINDIR)predict
-	-rm -f $(DESTDIR)$(BINDIR)htimeout
-
-predict: src/predict/main.cpp src/predict/predictor.cpp src/predict/format.cpp src/predict/knn.cpp src/predict/nbayes.cpp src/predict/rforest.cpp src/predict/tfidf.cpp src/predict/dtree.cpp
-	c++ -std=c++11 -DCOQ_MODE -O2 -Wall src/predict/main.cpp -o predict
-
-htimeout: src/htimeout/htimeout.c
-	cc -O2 -Wall src/htimeout/htimeout.c -o htimeout
-
-install-extra: predict htimeout
-	install -d $(DESTDIR)$(BINDIR)
-	install -m 0755 predict $(DESTDIR)$(BINDIR)predict
-	install -m 0755 htimeout $(DESTDIR)$(BINDIR)htimeout
 
 dune-clean:
 	dune clean
-	-rm -f predict htimeout
 	$(MAKE) -C eval clean
 	$(MAKE) -C tests/plugin clean
 	$(MAKE) -C tests/tactics clean

=== debian/changelog ===
coq-hammer (1.3.2+8.20-1build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Jun 2025 13:27:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: coq-hammer
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: coq (>= 8.17),
                debhelper-compat (= 13),

## coq-hammer 1.3.2+9.0

=== Makefile ===
--- 
+++ 
@@ -41,13 +41,13 @@
 	$(MAKE) -f Makefile.coq.mathcomp uninstall
 
 Makefile.coq.plugin: _CoqProject.plugin
-	coq_makefile -f _CoqProject.plugin -o Makefile.coq.plugin
+	rocq makefile -f _CoqProject.plugin -o Makefile.coq.plugin
 
 Makefile.coq.tactics: _CoqProject.tactics
-	coq_makefile -f _CoqProject.tactics -o Makefile.coq.tactics
+	rocq makefile -f _CoqProject.tactics -o Makefile.coq.tactics
 
 Makefile.coq.mathcomp: _CoqProject.mathcomp
-	coq_makefile -f _CoqProject.mathcomp -o Makefile.coq.mathcomp
+	rocq makefile -f _CoqProject.mathcomp -o Makefile.coq.mathcomp
 
 tests: tests-plugin tests-tactics

=== eval/tools/Makefile ===
all: stat coqnames rmcomments fixreqs
	rm -f *.cm* *.o

stat: utils.ml stat.ml
	ocamlopt -inline 100 -unsafe unix.cmxa str.cmxa $^ -o $@

coqnames: utils.ml coqnames.ml
	ocamlopt -inline 100 -unsafe unix.cmxa str.cmxa $^ -o $@

fixreqs: utils.ml fixreqs.ml
	ocamlopt -inline 100 -unsafe unix.cmxa str.cmxa $^ -o $@

rmcomments: rmcomments.c
	gcc $^ -o $@

clean:
	-rm -f rmcomments coqnames fixreqs stat *.cmo *.cmi *.cmx *.o

=== tests/tactics/Makefile ===
COQC=coqc

all: tactics_test.vo

legacy-tests: legacy_tactics_test.v

tactics_test.vo: tactics_test.v
	$(COQC) tactics_test.v

legacy_tactics_test.vo: legacy_tactics_test.v
	$(COQC) legacy_tactics_test.v

clean:
	-rm -f *.vo *.glob .*.aux

.PHONY: all clean legacy-tests

=== debian/changelog ===
coq-hammer (1.3.2+9.0-1) experimental; urgency=medium

  * Bump standards-version to 4.7.2.
  * Update lintian overrides.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 09:05:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: coq (>= 8.17),
+Build-Depends: coq,
                debhelper-compat (= 13),
                dh-coq,
                dh-ocaml,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

export DESTDIR=debian/tmp
export OCAMLPATH=debian/tmp$(OCAML_STDLIB_DIR)
export COQPATH=debian/tmp$(OCAML_STDLIB_DIR)/coq/user-contrib

export OCAMLINIT_SED=-e "s%@OCamlStdlibParentDir@%$(shell dirname $(OCAML_STDLIB_DIR))%g"

export DEB_BUILD_OPTIONS += noautodbgsym
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with coq,ocaml

override_dh_auto_clean:
	make clean

override_dh_auto_make:
	make

override_dh_auto_install:
	make install

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom Hammer Plugin.Hammer
Depends: coq, libcoq-hammer
